Bug 675082 (CVE-2011-0053) - CVE-2011-0053 Mozilla miscellaneous memory safety hazards (MFSA 2011-01)
Summary: CVE-2011-0053 Mozilla miscellaneous memory safety hazards (MFSA 2011-01)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0053
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110301,reported=20110204,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 09:04 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:57:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0310 normal SHIPPED_LIVE Critical: firefox security and bug fix update 2011-03-02 01:09:43 UTC
Red Hat Product Errata RHSA-2011:0311 normal SHIPPED_LIVE Critical: thunderbird security update 2011-03-02 00:59:11 UTC
Red Hat Product Errata RHSA-2011:0312 normal SHIPPED_LIVE Moderate: thunderbird security update 2011-03-02 01:20:51 UTC
Red Hat Product Errata RHSA-2011:0313 normal SHIPPED_LIVE Critical: seamonkey security update 2011-03-02 01:31:18 UTC

Description Huzaifa S. Sidhpurwala 2011-02-04 09:04:31 UTC
Mozilla developers identified and fixed several memory safety bugs
in the browser engine used in Firefox and other Mozilla-based 
products. Some of these bugs showed evidence of memory corruption 
under certain circumstances, and we presume that with enough effort 
at least some of these could be exploited to run arbitrary code.

Jesse Ruderman, Igor Bukanov, Olli Pettay, Gary Kwong, Jeff Walden, 
Henry Sivonen, Martijn Wargers, David Baron and Marcia Knous 
reported memory safety problems that affected Firefox 3.6 and Firefox 3.5.

Comment 1 Vincent Danen 2011-03-01 23:14:46 UTC
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-01.html

Comment 2 errata-xmlrpc 2011-03-02 00:59:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0311 https://rhn.redhat.com/errata/RHSA-2011-0311.html

Comment 3 errata-xmlrpc 2011-03-02 01:09:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html

Comment 4 errata-xmlrpc 2011-03-02 01:21:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0312 https://rhn.redhat.com/errata/RHSA-2011-0312.html

Comment 5 errata-xmlrpc 2011-03-02 01:31:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0313 https://rhn.redhat.com/errata/RHSA-2011-0313.html


Note You need to log in before you can comment on or make changes to this bug.